IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPUB')
CREATE TABLE T_SFC_DPUB (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORIGINATORID BIGINT DEFAULT 0 NOT NULL,
FORIGINATORORGID BIGINT DEFAULT 0 NOT NULL,
FMEETINGTYPEID BIGINT DEFAULT 0 NOT NULL,
FMEETINGLOC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEETINGBEGINTIME DATETIME,
FMEETINGENDTIME DATETIME,
FMEETINGDURATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FOVHLDEVICEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FMEETINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISTEMPLATE CHAR(1) DEFAULT '0' NOT NULL,
FMCENTRYTABS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMCENTRYTABS_TAG NCLOB,
FMOCENTRYTABS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMOCENTRYTABS_TAG NCLOB
);

EXEC P_ALTERPK 'PK_T_SFC_DPUB', 'T_SFC_DPUB', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_DPUB') CREATE INDEX IDX_T_SFC_DPUB ON T_SFC_DPUB ( FBILLNO ,FCREATORID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPUB_MCENTRY')
CREATE TABLE T_SFC_DPUB_MCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMMCID BIGINT DEFAULT 0 NOT NULL,
FISCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FPK BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_DPUB_MCENTRY', 'T_SFC_DPUB_MCENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_DPUB_MCENTRY') CREATE INDEX IDX_T_SFC_DPUB_MCENTRY ON T_SFC_DPUB_MCENTRY ( FID ,FSEQ );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPUB_MOCENTRY')
CREATE TABLE T_SFC_DPUB_MOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMMCID BIGINT DEFAULT 0 NOT NULL,
FISCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FPK BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_DPUB_MOCENTRY', 'T_SFC_DPUB_MOCENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_DPUB_MOCENTRY') CREATE INDEX IDX_T_SFC_DPUB_MOCENTRY ON T_SFC_DPUB_MOCENTRY ( FID ,FSEQ );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPUB_PERS')
CREATE TABLE T_SFC_DPUB_PERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_DPUB_PERS', 'T_SFC_DPUB_PERS', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_DPUB_PERS') CREATE INDEX IDX_T_SFC_DPUB_PERS ON T_SFC_DPUB_PERS ( FID ,FBASEDATAID );